List exposures
curl --request GET \
--url https://api.anchorage-staging.com/v2/collateral_management/exposures \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/collateral_management/exposures"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/collateral_management/exposures', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"asset": {
"assetType": "<string>",
"type": "ANCHORAGECUSTODY"
},
"clientReferenceId": "<string>",
"exposureId": "<string>",
"packageId": "<string>",
"price": "<string>",
"quantity": "<string>",
"value": "<string>"
}
],
"page": {
"next": "<next page url>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}List exposures
Permissions required: Read vault activity
Get Exposures.
GET
/
collateral_management
/
exposures
List exposures
curl --request GET \
--url https://api.anchorage-staging.com/v2/collateral_management/exposures \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/collateral_management/exposures"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/collateral_management/exposures', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"asset": {
"assetType": "<string>",
"type": "ANCHORAGECUSTODY"
},
"clientReferenceId": "<string>",
"exposureId": "<string>",
"packageId": "<string>",
"price": "<string>",
"quantity": "<string>",
"value": "<string>"
}
],
"page": {
"next": "<next page url>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Query Parameters
When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)
Minimum string length:
1Maximum number of results to return per query
Required range:
1 <= x <= 100Was this page helpful?